# Update appointment Update an existing appointment. Can be used to reschedule (change time/practitioner) or update appointment details. Only provided fields will be updated. Endpoint: PUT /partner/v2/account/{accountId}/location/{locationId}/appointment/{appointmentId} Version: 2.0 Security: PartnerOAuth ## Path parameters: - `appointmentId` (integer, required) Appointment ID - `accountId` (integer, required) Account identifier - `locationId` (integer, required) Location identifier ## Request fields (application/json): - `note` (string) Updated appointment notes Example: "Follow-up for lab results" - `practitionerId` (integer) New practitioner ID for reassignment (staff member with a practitioner role) Example: 223 - `startTime` (string) New appointment start time (ISO 8601) for rescheduling Example: "2025-01-16T10:00:00-05:00" - `status` (string) New status Enum: "SCHEDULED", "CONFIRMED", "CHECKED_IN", "IN_TREATMENT", "CHECKED_OUT", "CANCELLED", "NO_SHOW" ## Response 200 fields (application/json): - `appointmentTypeId` (integer) Appointment type ID Example: 333 - `createdAt` (string) Creation timestamp Example: "2025-01-10T14:30:00Z" - `durationMinutes` (integer) Duration in minutes Example: 30 - `endTime` (string) Appointment end time (ISO 8601) Example: "2025-01-15T09:30:00-05:00" - `id` (integer) Unique appointment identifier Example: 12345 - `locationId` (integer) Location ID Example: 111 - `note` (string) Appointment notes Example: "Annual checkup" - `patientId` (integer) Patient ID Example: 67890 - `practitionerId` (integer) Practitioner ID (staff member with a practitioner role) Example: 222 - `startTime` (string) Appointment start time (ISO 8601) Example: "2025-01-15T09:00:00-05:00" - `status` (string) Appointment status Enum: "SCHEDULED", "CONFIRMED", "CHECKED_IN", "IN_TREATMENT", "CHECKED_OUT", "CANCELLED", "NO_SHOW" - `updatedAt` (string) Last update timestamp Example: "2025-01-10T14:30:00Z" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields